# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Exception Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.configuration
# Libre Office Version: 7.2
from typing_extensions import Literal
import typing
from .corrupted_configuration_exception import CorruptedConfigurationException as CorruptedConfigurationException_a229173f
from ..uno.x_interface import XInterface as XInterface_8f010a43

class CorruptedUIConfigurationException(CorruptedConfigurationException_a229173f):
    """
    Exception Class

    This exception is thrown in case the global UI configuration (including menubars/toolbars and accelerators) does not exists or contains corrupted data.
    
    **since**
    
        OOo 2.3

    See Also:
        `API CorruptedUIConfigurationException <https://api.libreoffice.org/docs/idl/ref/exceptioncom_1_1sun_1_1star_1_1configuration_1_1CorruptedUIConfigurationException.html>`_
    """

    typeName: Literal['com.sun.star.configuration.CorruptedUIConfigurationException']

    def __init__(self, Message: typing.Optional[str] = ..., Context: typing.Optional[XInterface_8f010a43] = ..., Details: typing.Optional[str] = ...) -> None:
        """
        Constructor

        Arguments:
            Message (str, optional): Message value.
            Context (XInterface, optional): Context value.
            Details (str, optional): Details value.
        """

__all__ = ['CorruptedUIConfigurationException']

