# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.drawing
# Libre Office Version: 7.2
from typing_extensions import Literal
from enum import Enum


class LayerType(Enum):
    """
    Enum Class

    

    See Also:
        `API LayerType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1drawing.html#a56943a0946e5f15e5e58054b8e7a04a4>`_
    """
    CONTROLSA: Literal['CONTROLSA']
    """
    This is the layer for the controls.
    """
    DIMENSIONIANG_LINES: Literal['DIMENSIONIANG_LINES']
    """
    This is the layer for all measure shapes.
    """
    LAYOUT: Literal['LAYOUT']
    """
    This is the layer for all standard shapes.
    """
    USER_DEFINED: Literal['USER_DEFINED']
    """
    There can be zero or more layers of this type.
    """

__all__ = ['LayerType']

