# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Struct Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.drawing
# Libre Office Version: 7.2
from typing_extensions import Literal
import typing
from .double_sequence_sequence import DoubleSequenceSequence as DoubleSequenceSequence_6b8010c1


class PolyPolygonShape3D(object):
    """
    Struct Class

    specifies the coordinates of a 3-dimensional poly polygon.

    See Also:
        `API PolyPolygonShape3D <https://api.libreoffice.org/docs/idl/ref/structcom_1_1sun_1_1star_1_1drawing_1_1PolyPolygonShape3D.html>`_
    """
    typeName: Literal['com.sun.star.drawing.PolyPolygonShape3D']

    def __init__(self, SequenceX: typing.Optional[DoubleSequenceSequence_6b8010c1] = ..., SequenceY: typing.Optional[DoubleSequenceSequence_6b8010c1] = ..., SequenceZ: typing.Optional[DoubleSequenceSequence_6b8010c1] = ...) -> None:
        """
        Constructor

        Arguments:
            SequenceX (DoubleSequenceSequence, optional): SequenceX value.
            SequenceY (DoubleSequenceSequence, optional): SequenceY value.
            SequenceZ (DoubleSequenceSequence, optional): SequenceZ value.
        """


    @property
    def SequenceX(self) -> DoubleSequenceSequence_6b8010c1:
        ...


    @property
    def SequenceY(self) -> DoubleSequenceSequence_6b8010c1:
        ...


    @property
    def SequenceZ(self) -> DoubleSequenceSequence_6b8010c1:
        ...



__all__ = ['PolyPolygonShape3D']
