# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.form
from typing_extensions import Literal
import typing
from ..uno.x_interface import XInterface as XInterface_8f010a43
if typing.TYPE_CHECKING:
    from .x_change_listener import XChangeListener as XChangeListener_d3700ca0

class XChangeBroadcaster(XInterface_8f010a43):
    """
    provides functionality to notify listeners of data changes.
    
    The concrete semantics of a change (i.e. the conditions for when a change event is fired) must be specified in the service description of the providing service.

    See Also:
        `API XChangeBroadcaster <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1form_1_1XChangeBroadcaster.html>`_
    """
    __pyunointerface__: Literal['com.sun.star.form.XChangeBroadcaster']

    def addChangeListener(self, aListener: 'XChangeListener_d3700ca0') -> None:
        """
        adds the specified listener to receive the \"changed\" event.
        """
    def removeChangeListener(self, aListener: 'XChangeListener_d3700ca0') -> None:
        """
        removes the specified listener.
        """

__all__ = ['XChangeBroadcaster']

