# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.i18n
from typing_extensions import Literal


class BreakType:
    """
    Const Class

    Constants to specify the type of a line break, used with LineBreakResults.breakType().

    See Also:
        `API BreakType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1i18n_1_1BreakType.html>`_
    """
    WORDBOUNDARY: Literal[1]
    """
    Line break is a word break.
    """
    HYPHENATION: Literal[2]
    """
    Line break is a result of hyphenation.
    """
    HANGINGPUNCTUATION: Literal[3]
    """
    Line break - hanging punctuation recognized.
    """

__all__ = ['BreakType']
