# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.script.provider
from typing_extensions import Literal
import typing
from ...uno.x_interface import XInterface as XInterface_8f010a43
if typing.TYPE_CHECKING:
    from .x_script import XScript as XScript_15a0e03

class XScriptProvider(XInterface_8f010a43):
    """
    This interface provides a factory for obtaining objects implementing the XScript interface.

    See Also:
        `API XScriptProvider <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1script_1_1provider_1_1XScriptProvider.html>`_
    """
    __pyunointerface__: Literal['com.sun.star.script.provider.XScriptProvider']

    def getScript(self, sScriptURI: str) -> 'XScript_15a0e03':
        """
        a factory method for the creation of XScript implementations.

        Raises:
            com.sun.star.script.provider.ScriptFrameworkErrorException: ``ScriptFrameworkErrorException``
        """

__all__ = ['XScriptProvider']

