# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.style
from typing_extensions import Literal


class LineNumberPosition:
    """
    Const Class

    These constants are used to specify the position of the numbering of lines.

    See Also:
        `API LineNumberPosition <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1style_1_1LineNumberPosition.html>`_
    """
    LEFT: Literal[0]
    """
    the number occurs on the left side of the pages.
    """
    RIGHT: Literal[1]
    """
    the number occurs on the right side of the pages.
    """
    INSIDE: Literal[2]
    """
    the number occurs alternating on the inner side of the pages.
    """
    OUTSIDE: Literal[3]
    """
    the number occurs alternating on the outside side of the pages.
    """

__all__ = ['LineNumberPosition']
